PamCut: TrkRigGeoCut Class Reference

# TrkRigGeoCut Class Reference

The geomagnetic rigidity cut. This cut discards an event whose rigidity modulus is less than a threshold rigidity, given by the geomagnetic cutoff rigidity (the Stoermer cutoff) for that event multiplied by a threshold coefficient. More...

`#include <TrkRigGeoCut.h>`

Inheritance diagram for TrkRigGeoCut:

List of all members.

## Public Member Functions
| TrkRigGeoCut (const char *cutName, float thresholdCoeff)
| Constructor.
| ~TrkRigGeoCut ()
| Destructor.
int | Check (PamLevel2 *event)
| The rigidity check.
float | GetThresholdCoeff ()
| Returns the threshold coefficient.
## Private Attributes
float | _thresholdCoeff

## Detailed Description

The geomagnetic rigidity cut. This cut discards an event whose rigidity modulus is less than a threshold rigidity, given by the geomagnetic cutoff rigidity (the Stoermer cutoff) for that event multiplied by a threshold coefficient.

CUT DEPENDENCIES: TrkPhSin (since TrkRigGeoCut assumes the existence of a single physical track)

Definition at line 23 of file TrkRigGeoCut.h.

## Constructor & Destructor Documentation

TrkRigGeoCut::TrkRigGeoCut | ( | const char * | cutName,
|  | float | thresholdCoeff |
| ) |  |  | `[inline]`

Constructor.

Parameters:

  | cutName | The cut's name.
  | thresholdCoeff | The threshold rigidity coefficient.

Definition at line 31 of file TrkRigGeoCut.h.

TrkRigGeoCut::~TrkRigGeoCut | ( |  | ) | `[inline]`

Destructor.

Definition at line 35 of file TrkRigGeoCut.h.

## Member Function Documentation

int TrkRigGeoCut::Check | ( | PamLevel2 * | event | ) | `[virtual]`

The rigidity check.

Parameters:

  | event | The event to analyze.

Returns:
  CUTOK if the rigidity modulus is greater than the geomagnetic cutoff rigidity times the threshold coefficient.

  0 otherwise.

Implements PamCut.

Definition at line 12 of file TrkRigGeoCut.cpp.

References _thresholdCoeff, and CUTOK.

float TrkRigGeoCut::GetThresholdCoeff | ( |  | ) | `[inline]`

Returns the threshold coefficient.

Definition at line 48 of file TrkRigGeoCut.h.

References _thresholdCoeff.

## Member Data Documentation

float TrkRigGeoCut::_thresholdCoeff`[private]`

Definition at line 54 of file TrkRigGeoCut.h.

Referenced by Check(), and GetThresholdCoeff().

The documentation for this class was generated from the following files:

- TrkCuts/TrkRigGeoCut/TrkRigGeoCut.h
- TrkCuts/TrkRigGeoCut/TrkRigGeoCut.cpp